aboutsummaryrefslogtreecommitdiffstats
path: root/main/cython/APKBUILD
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2016-08-11 20:28:45 +0000
committerSören Tempel <soeren+git@soeren-tempel.net>2016-08-12 11:42:54 +0200
commit217533caaf4d77153386b45ff4b1f1f2e76350ff (patch)
tree5595c6871528fe4fd6067fb1e475f0e7f4bb93fb /main/cython/APKBUILD
parent1351413c11d8860d2d7b2b593c2dd2405e14f12c (diff)
downloadaports-217533caaf4d77153386b45ff4b1f1f2e76350ff.tar.gz
aports-217533caaf4d77153386b45ff4b1f1f2e76350ff.tar.bz2
aports-217533caaf4d77153386b45ff4b1f1f2e76350ff.tar.xz
main/cython: update to 0.24.1
https://github.com/cython/cython/blob/master/CHANGES.rst
Diffstat (limited to 'main/cython/APKBUILD')
-rw-r--r--main/cython/APKBUILD29
1 files changed, 10 insertions, 19 deletions
diff --git a/main/cython/APKBUILD b/main/cython/APKBUILD
index 6f0230bf65..213711b8ad 100644
--- a/main/cython/APKBUILD
+++ b/main/cython/APKBUILD
@@ -1,8 +1,8 @@
# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
pkgname=cython
-pkgver=0.24
-pkgrel=1
+pkgver=0.24.1
+pkgrel=0
pkgdesc="Cython is an optimising static compiler for both the Python & the extended Cython programming languages."
url="http://cython.org"
arch="all"
@@ -13,27 +13,18 @@ makedepends="$depends_dev"
subpackages="$pkgname-dev"
source="$pkgname-$pkgver.tar.gz::https://github.com/cython/cython/archive/$pkgver.tar.gz"
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
-
+builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$_builddir"
+ cd "$builddir"
python setup.py build || return 1
}
package() {
- cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ cd "$builddir"
+ python setup.py install --prefix=/usr \
+ --root="$pkgdir" --optimize=1 || return 1
}
-md5sums="db5e686e375b2709cbcab3b049cc6b5e cython-0.24.tar.gz"
-sha256sums="b60b91f1ec88921a423d5f0a5e2a7c232cdff12d9130088014bf89d542ce137b cython-0.24.tar.gz"
-sha512sums="e5a62026df4843601a52415096acba56bb889a42b73a9481525d878328451bf45fba7a25de02ee9a4faa9e0251e899ab6c6f44fbd171f035d3404760e5c9d429 cython-0.24.tar.gz"
+md5sums="ba3474937557f210acb45852e9ebb0fc cython-0.24.1.tar.gz"
+sha256sums="e4228632447705d1fe5606867fc51218f2bf390a824934f0b4c0d2de315ff6b8 cython-0.24.1.tar.gz"
+sha512sums="2bfe767f0d707962fab2726ea457a0b926c5904a75b9a4a29b088e9198e5e40a87f241076192d817b1adb047d569c565e18fddd42a5256d324029bb558d5dcf9 cython-0.24.1.tar.gz"